org.bdgenomics.adam.rdd.variant

# VariantDataset

###
Related Docs: class VariantDataset | package variant

#### object VariantDataset extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantDataset
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(ds: Dataset[Variant], sequences: SequenceDictionary, headerLines: Seq[VCFHeaderLine]): VariantDataset

   An dataset containing variants called against a given reference genome.

   An dataset containing variants called against a given reference genome.

   ds

     Variants.

   sequences

     A dictionary describing the reference genome.

   headerLines

     The VCF header lines that cover all INFO/FORMAT fields needed to represent this RDD of Variants.

5. #### def apply(ds: Dataset[Variant]): VariantDataset

   An dataset containing variants called against a given reference genome.

   An dataset containing variants called against a given reference genome.

   ds

     Variants.

6. #### def apply(rdd: RDD[Variant], sequences: SequenceDictionary, headerLines: Seq[VCFHeaderLine] = DefaultHeaderLines.allHeaderLines): VariantDataset

   Builds a VariantDataset without a partition map.

   Builds a VariantDataset without a partition map.

   rdd

     The underlying Variant RDD.

   sequences

     The sequence dictionary for the RDD.

   headerLines

     The header lines for the RDD.

   returns

     A new Variant RDD.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped